| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwmodel_param.h File Reference

Header to read and write model dynamics parameters in STAR format. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Classes
struct | Bmodparam

## Macros
#define | DISTMAT_COMPTYPE1 "distance_matrix.component_type1"
#define | DISTMAT_COMPTYPE2 "distance_matrix.component_type2"
#define | DISTMAT_LLEN "distance_matrix.link_length"
#define | DISTMAT_DIST "distance_matrix.distance"
#define | DISTMAT_KL "distance_matrix.link_constant"
#define | DISTMAT_KD "distance_matrix.distance_constant"
#define | DISTMAT_POTTYPE "distance_matrix.potential_type"
#define | ANGLEMAT_COMPTYPE1 "angle_matrix.component_type1"
#define | ANGLEMAT_COMPTYPE2 "angle_matrix.component_type2"
#define | ANGLEMAT_COMPTYPE3 "angle_matrix.component_type3"
#define | ANGLEMAT_ANGLE "angle_matrix.angle"
#define | ANGLEMAT_KA "angle_matrix.angle_constant"

## Functions
Bmodparam * | model_param_init (int num)
| Initializes a model parameter structure and allocates memory. More...
int | model_param_kill (Bmodparam *mp)
| Deallocates memory for a model parameter structure. More...
Bmodparam * | model_param_read (Bstring &filename)
| Reads a model parameter file. More...
int | model_param_write (Bstring &filename, Bmodparam *mp)
| Writes a model parameter file. More...
int | model_param_display (Bmodparam *mp)
| Displays a model parameter in the shell. More...
Bmodparam * | model_param_generate (Bmodel *model)
| Generates a model parameter file from a model. More...
int | model_param_set_type_indices (Bmodel *model, Bmodparam *mp)
| Sets the component type indices from the model parameters. More...

## Detailed Description

Header to read and write model dynamics parameters in STAR format.

Author
  Bernard Heymann

Date
  Created: 20100305
  Modified: 20100423

Definition in file rwmodel_param.h.

## Macro Definition Documentation

## ◆ ANGLEMAT_ANGLE

#define ANGLEMAT_ANGLE "angle_matrix.angle"

Definition at line 24 of file rwmodel_param.h.

## ◆ ANGLEMAT_COMPTYPE1

#define ANGLEMAT_COMPTYPE1 "angle_matrix.component_type1"

Definition at line 21 of file rwmodel_param.h.

## ◆ ANGLEMAT_COMPTYPE2

#define ANGLEMAT_COMPTYPE2 "angle_matrix.component_type2"

Definition at line 22 of file rwmodel_param.h.

## ◆ ANGLEMAT_COMPTYPE3

#define ANGLEMAT_COMPTYPE3 "angle_matrix.component_type3"

Definition at line 23 of file rwmodel_param.h.

## ◆ ANGLEMAT_KA

#define ANGLEMAT_KA "angle_matrix.angle_constant"

Definition at line 25 of file rwmodel_param.h.

## ◆ DISTMAT_COMPTYPE1

#define DISTMAT_COMPTYPE1 "distance_matrix.component_type1"

Definition at line 13 of file rwmodel_param.h.

## ◆ DISTMAT_COMPTYPE2

#define DISTMAT_COMPTYPE2 "distance_matrix.component_type2"

Definition at line 14 of file rwmodel_param.h.

## ◆ DISTMAT_DIST

#define DISTMAT_DIST "distance_matrix.distance"

Definition at line 16 of file rwmodel_param.h.

## ◆ DISTMAT_KD

#define DISTMAT_KD "distance_matrix.distance_constant"

Definition at line 18 of file rwmodel_param.h.

## ◆ DISTMAT_KL

#define DISTMAT_KL "distance_matrix.link_constant"

Definition at line 17 of file rwmodel_param.h.

## ◆ DISTMAT_LLEN

#define DISTMAT_LLEN "distance_matrix.link_length"

Definition at line 15 of file rwmodel_param.h.

## ◆ DISTMAT_POTTYPE

#define DISTMAT_POTTYPE "distance_matrix.potential_type"

Definition at line 19 of file rwmodel_param.h.

## Function Documentation

## ◆ model_param_display()

int model_param_display | ( | Bmodparam * | mp | ) |

Displays a model parameter in the shell.

Parameters

  *mp | model parameter structure.

Returns
  int 0.

Definition at line 303 of file rwmodel_param.cpp.

## ◆ model_param_generate()

Bmodparam* model_param_generate | ( | Bmodel * | model | ) |

Generates a model parameter file from a model.

    All the types in a list of models are collated into a string list of
    types for a new model parameter structure.
    The distances between component types in the matrix is set to the
    smallest such distance between components of the relevant types.
    The distance constant is set to 1.
    The distance potential type is set to 2 (soft sphere).

Parameters

  *model | linked list of models.

Returns
  Bmodparam* new model parameter structure.

Definition at line 374 of file rwmodel_param.cpp.

## ◆ model_param_init()

Bmodparam* model_param_init | ( | int | num | ) |

Initializes a model parameter structure and allocates memory.

Parameters

  num | number of component types.

Returns
  Bmodparam* new distance matrix structure.

Definition at line 23 of file rwmodel_param.cpp.

## ◆ model_param_kill()

int model_param_kill | ( | Bmodparam * | mp | ) |

Deallocates memory for a model parameter structure.

Parameters

  *mp | model parameter structure.

Returns
  int 0.

Definition at line 50 of file rwmodel_param.cpp.

## ◆ model_param_read()

Bmodparam* model_param_read | ( | Bstring & | filename | ) |

Reads a model parameter file.

    The only format supported is a STAR format.

Parameters

  &filename | file name.

Returns
  Bmodparam* new model parameter structure.

Definition at line 79 of file rwmodel_param.cpp.

## ◆ model_param_set_type_indices()

int model_param_set_type_indices | ( | Bmodel * | model,
|  | Bmodparam * | mp
| ) |  |

Sets the component type indices from the model parameters.

    The position of a type in the distance matrix type list determines
    the type index within the distance matrix itself.
    The indices of the component types within each model is then set
    to the corresponding index for the distance matrix.
    If the type is not represented in the distance matrix, its index
    is set to -1.

Parameters

  *model | linked list of models.
  *mp | model parameter structure.

Returns
  int 0.

Definition at line 491 of file rwmodel_param.cpp.

## ◆ model_param_write()

int model_param_write | ( | Bstring & | filename,
|  | Bmodparam * | mp
| ) |  |

Writes a model parameter file.

    The only format supported is a STAR format.

Parameters

  &filename | file name.
  *mp | model parameter structure.

Returns
  int 0.

Definition at line 233 of file rwmodel_param.cpp.